ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE/configure
(Generate patch)

Comparing trunk/OOPSE/configure (file contents):
Revision 942 by gezelter, Wed Jan 14 15:49:26 2004 UTC vs.
Revision 1182 by gezelter, Fri May 21 14:23:20 2004 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi MPI_LIBDIR MPI_INC MPI_LIB CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi MPI_LIBDIR MPI_INC MPI_F90INC MPI_LIB MPI_F90LIB CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 873 | Line 873 | Optional Packages:
873    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
874    --with-mpi=MPIDIR   give the path for MPI /usr/local
875    --with-mpi-libdir=dir  give the path for MPI-libraries MPI_DIR/lib
876 <  --with-mpi_inc=dir  give the path for MPI-include-files MPI_DIR/include
876 >  --with-mpi-inc=dir  give the path for MPI-include-files MPI_DIR/include
877    --with-sprng_prefix=PREFIX
878                            Prefix where SPRNG is installed
879    --with-sprng-libdir=PREFIX  SPRNG library directory
880    --with-sprng-include=PREFIX
881                            SPRNG include directory
882 <  --with-mkl              Do we want MKL will check /usr/local/intel/mkl60 /opt/intel/mkl60
882 >  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
883  
884   Some influential environment variables:
885    CC          C compiler command
# Line 1869 | Line 1869 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1869  
1870  
1871  
1872 +
1873   # set program name
1874   PROGNAME="oopse"
1875  
# Line 3526 | Line 3527 | F90FLAGS="$F90FLAGS $ac_verb"
3527   ac_save_F90FLAGS=$F90FLAGS
3528   F90FLAGS="$F90FLAGS $ac_verb"
3529  
3530 < (eval echo $as_me:3529: \"$ac_link\") >&5
3530 > (eval echo $as_me:3530: \"$ac_link\") >&5
3531   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3532   echo "$ac_f90_v_output" >&5
3533   F90FLAGS=$ac_save_F90FLAGS
# Line 3603 | Line 3604 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3604   ac_save_F90FLAGS=$F90FLAGS
3605   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3606  
3607 < (eval echo $as_me:3606: \"$ac_link\") >&5
3607 > (eval echo $as_me:3607: \"$ac_link\") >&5
3608   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3609   echo "$ac_f90_v_output" >&5
3610   F90FLAGS=$ac_save_F90FLAGS
# Line 4213 | Line 4214 | echo "$as_me:$LINENO: checking whether we are *really*
4214  
4215  
4216  
4217 < echo "$as_me:$LINENO: checking whether we are *really* using gcc" >&5
4218 < echo $ECHO_N "checking whether we are *really* using gcc... $ECHO_C" >&6
4217 > echo "$as_me:$LINENO: checking whether we are *really* using GNU cc" >&5
4218 > echo $ECHO_N "checking whether we are *really* using GNU cc... $ECHO_C" >&6
4219   if test "${ac_cv_prog_really_gcc+set}" = set; then
4220    echo $ECHO_N "(cached) $ECHO_C" >&6
4221   else
# Line 4288 | Line 4289 | if test "$ac_test_CFLAGS" != "set"; then
4289          fi;;
4290     *darwin*)
4291          if test "$CC" = xlc -o "$CC" = cc; then
4292 <                CFLAGS="-O3 -qtune=auto -w"
4292 <                echo "*******************************************************"
4293 <                echo "*  You have Darwin on an unknown powerpc system.      *"
4294 <                echo "*  It is recommended that you use                     *"
4295 <                echo "*                                                     *"
4296 <                echo "*  CFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w    *"
4297 <                echo "*                               ^^^                   *"
4298 <                echo "*  where xxx is 601, 603, 604, or whatever kind of    *"
4299 <                echo "*  PowerPC CPU you have.   For more info, man cc.     *"
4300 <                echo "*******************************************************"
4292 >                CFLAGS="-qthreaded -O5 -Q=20 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
4293          fi;;
4294    esac
4295  
# Line 4683 | Line 4675 | echo "$as_me:$LINENO: checking whether we are *really*
4675  
4676  
4677  
4678 < echo "$as_me:$LINENO: checking whether we are *really* using g++" >&5
4679 < echo $ECHO_N "checking whether we are *really* using g++... $ECHO_C" >&6
4678 > echo "$as_me:$LINENO: checking whether we are *really* using GNU c++" >&5
4679 > echo $ECHO_N "checking whether we are *really* using GNU c++... $ECHO_C" >&6
4680   if test "${ac_cv_prog_really_gxx+set}" = set; then
4681    echo $ECHO_N "(cached) $ECHO_C" >&6
4682   else
# Line 4749 | Line 4741 | if test "$ac_test_CXXFLAGS" != "set"; then
4741          fi;;
4742     *darwin*)
4743          if test "$CXX" = xlC; then
4744 <                CXXFLAGS="-O3 -qtune=auto -qansialias -w"
4753 <                echo "*******************************************************"
4754 <                echo "*  You have AIX on an unknown powerpc system.  It is  *"
4755 <                echo "*  recommended that you use                           *"
4756 <                echo "*                                                     *"
4757 <                echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w  *"
4758 <                echo "*                                 ^^^                 *"
4759 <                echo "*  where xxx is 601, 603, 604, or whatever kind of    *"
4760 <                echo "*  PowerPC CPU you have.   For more info, man cc.     *"
4761 <                echo "*******************************************************"
4744 >                CXXFLAGS="-qthreaded -O5 -Q=20 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
4745          fi;;
4746    esac
4747  
# Line 5170 | Line 5153 | if test x"$F90FLAGS" = x ; then
5153          fi;;
5154     *darwin*)
5155          if test "$F90" = f90 -o "$F90" = xlf90; then
5156 <                F90FLAGS="-O3 -qtune=auto -w"
5174 <                echo "*********************************************************"
5175 <                echo "*  You have Darwin on an unknown powerpc system.  It is *"
5176 <                echo "*  recommended that you use                             *"
5177 <                echo "*                                                       *"
5178 <                echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w    *"
5179 <                echo "*                                 ^^^                   *"
5180 <                echo "*  where xxx is 601, 603, 604, or whatever kind of      *"
5181 <                echo "*  PowerPC CPU you have.   For more info, man xlf.      *"
5182 <                echo "*********************************************************"
5156 >                F90FLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto"
5157          fi;;
5158    esac
5159  
# Line 5871 | Line 5845 | echo $ECHO_N "checking for mpi-inc-directory... $ECHO_
5845   echo "$as_me:$LINENO: checking for mpi-inc-directory" >&5
5846   echo $ECHO_N "checking for mpi-inc-directory... $ECHO_C" >&6
5847  
5848 < # Check whether --with-mpi_inc or --without-mpi_inc was given.
5848 > # Check whether --with-mpi-inc or --without-mpi-inc was given.
5849   if test "${with_mpi_inc+set}" = set; then
5850    withval="$with_mpi_inc"
5851    MPI_INC="$withval"
# Line 5882 | Line 5856 | echo "${ECHO_T}$MPI_INC" >&6
5856   echo "${ECHO_T}$MPI_INC" >&6
5857  
5858  
5859 + echo "$as_me:$LINENO: checking for mpi.h" >&5
5860 + echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
5861 + HAVE_MPIDOTH_C="no"
5862 + echo '#include <mpi.h>' > conftest.cc
5863 + if test -z "`${CXX} -I${MPI_INC} -c conftest.cc 2>&1`"; then
5864 +  echo "$as_me:$LINENO: result: yes" >&5
5865 + echo "${ECHO_T}yes" >&6
5866 +  HAVE_MPIDOTH_C="yes"
5867 + else
5868 +  echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5869 + echo "${ECHO_T}no! Check MPI include paths" >&6
5870 + fi
5871 + rm -f conftest*
5872  
5873 < echo "$as_me:$LINENO: checking for MPI library" >&5
5874 < echo $ECHO_N "checking for MPI library... $ECHO_C" >&6
5875 < MPI_LIB=""
5876 < case "$host" in
5877 <  *-ibm-aix*)
5878 <    echo "$as_me:$LINENO: checking whether to use signal-based MPI library" >&5
5879 < echo $ECHO_N "checking whether to use signal-based MPI library... $ECHO_C" >&6
5880 <    echo "$as_me:$LINENO: result: $PACX_SIGNAL" >&5
5881 < echo "${ECHO_T}$PACX_SIGNAL" >&6
5882 <    if test "x$PACX_SIGNAL" = "xyes" ; then
5883 <      if test -f "$MPI_LIBDIR/libmpi.a" ; then
5884 <        MPI_LIB="-lmpi"
5885 <      elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5886 <        MPI_LIB="-lmpi"
5887 <      elif test -f "$MPI_LIBDIR/libmpich.a" ; then
5888 <        MPI_LIB="-lmpich"
5889 <      else
5890 <        { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5891 < echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5892 <   { (exit 1); exit 1; }; }
5893 <      fi
5894 <    else
5895 <      if test -f "$MPI_LIBDIR/libmpi_r.a" ; then
5896 <         MPI_LIB="-lmpi_r"
5897 <      else
5898 <         { { echo "$as_me:$LINENO: error: libmpi_r not found; check path for MPI package..." >&5
5899 < echo "$as_me: error: libmpi_r not found; check path for MPI package..." >&2;}
5900 <   { (exit 1); exit 1; }; }
5901 <      fi
5902 <    fi
5903 <    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5904 < echo "${ECHO_T}found $MPI_LIB" >&6
5905 <  ;;
5906 <  *)                             if test -f "$MPI_LIBDIR/libmpich.a" ; then
5907 <      MPI_LIB="-lmpich"
5908 <    elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5909 <      MPI_LIB="-lmpi"
5910 <    elif test -f "$MPI_LIBDIR/libmpi.a" ; then
5911 <      MPI_LIB="-lmpi"
5912 <    else
5913 <      { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5914 < echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5915 <   { (exit 1); exit 1; }; }
5916 <    fi
5917 <    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5873 > echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
5874 > echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
5875 > HAVE_MPIFDOTH_F90="no"
5876 > rm -f conftest*
5877 > cat >conftest.f90 <<EOF
5878 > program main
5879 >  include 'mpif.h'
5880 > end
5881 > EOF
5882 > if $F90 -I$MPI_INC -c conftest.f90 > conftest.out 2>&1 ; then
5883 >   echo "$as_me:$LINENO: result: yes" >&5
5884 > echo "${ECHO_T}yes" >&6
5885 >   MPI_F90INC="$MPI_INC"
5886 >   HAVE_MPIFDOTH_F90="yes"
5887 > else
5888 >   if test -s conftest.out ; then cat conftest.out >> config.log ; fi
5889 >   echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5890 > echo "${ECHO_T}no! Check MPI include paths" >&6
5891 > fi
5892 > rm -f conftest*
5893 >
5894 >
5895 > ac_ext=c
5896 > ac_cpp='$CPP $CPPFLAGS'
5897 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5898 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5899 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
5900 >
5901 > ac_save_LDFLAGS=$LDFLAGS
5902 > LDFLAGS="${LDFLAGS} -L${MPI_LIBDIR} "
5903 >
5904 > if test x = x"$MPI_LIB"; then
5905 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5906 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5907 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5908 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5909 > else
5910 >  ac_check_lib_save_LIBS=$LIBS
5911 > LIBS="-lmpi  $LIBS"
5912 > cat >conftest.$ac_ext <<_ACEOF
5913 > /* confdefs.h.  */
5914 > _ACEOF
5915 > cat confdefs.h >>conftest.$ac_ext
5916 > cat >>conftest.$ac_ext <<_ACEOF
5917 > /* end confdefs.h.  */
5918 >
5919 > /* Override any gcc2 internal prototype to avoid an error.  */
5920 > #ifdef __cplusplus
5921 > extern "C"
5922 > #endif
5923 > /* We use char because int might match the return type of a gcc2
5924 >   builtin and then its argument prototype would still apply.  */
5925 > char MPI_Init ();
5926 > int
5927 > main ()
5928 > {
5929 > MPI_Init ();
5930 >  ;
5931 >  return 0;
5932 > }
5933 > _ACEOF
5934 > rm -f conftest.$ac_objext conftest$ac_exeext
5935 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5936 >  (eval $ac_link) 2>conftest.er1
5937 >  ac_status=$?
5938 >  grep -v '^ *+' conftest.er1 >conftest.err
5939 >  rm -f conftest.er1
5940 >  cat conftest.err >&5
5941 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5942 >  (exit $ac_status); } &&
5943 >         { ac_try='test -z "$ac_c_werror_flag"
5944 >                         || test ! -s conftest.err'
5945 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5946 >  (eval $ac_try) 2>&5
5947 >  ac_status=$?
5948 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5949 >  (exit $ac_status); }; } &&
5950 >         { ac_try='test -s conftest$ac_exeext'
5951 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5952 >  (eval $ac_try) 2>&5
5953 >  ac_status=$?
5954 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5955 >  (exit $ac_status); }; }; then
5956 >  ac_cv_lib_mpi_MPI_Init=yes
5957 > else
5958 >  echo "$as_me: failed program was:" >&5
5959 > sed 's/^/| /' conftest.$ac_ext >&5
5960 >
5961 > ac_cv_lib_mpi_MPI_Init=no
5962 > fi
5963 > rm -f conftest.err conftest.$ac_objext \
5964 >      conftest$ac_exeext conftest.$ac_ext
5965 > LIBS=$ac_check_lib_save_LIBS
5966 > fi
5967 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5968 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5969 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
5970 >  MPI_LIB="-lmpi"
5971 > fi
5972 >
5973 > fi
5974 > if test x = x"$MPI_LIB"; then
5975 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
5976 > echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
5977 > if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
5978 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5979 > else
5980 >  ac_check_lib_save_LIBS=$LIBS
5981 > LIBS="-lmpich  $LIBS"
5982 > cat >conftest.$ac_ext <<_ACEOF
5983 > /* confdefs.h.  */
5984 > _ACEOF
5985 > cat confdefs.h >>conftest.$ac_ext
5986 > cat >>conftest.$ac_ext <<_ACEOF
5987 > /* end confdefs.h.  */
5988 >
5989 > /* Override any gcc2 internal prototype to avoid an error.  */
5990 > #ifdef __cplusplus
5991 > extern "C"
5992 > #endif
5993 > /* We use char because int might match the return type of a gcc2
5994 >   builtin and then its argument prototype would still apply.  */
5995 > char MPI_Init ();
5996 > int
5997 > main ()
5998 > {
5999 > MPI_Init ();
6000 >  ;
6001 >  return 0;
6002 > }
6003 > _ACEOF
6004 > rm -f conftest.$ac_objext conftest$ac_exeext
6005 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6006 >  (eval $ac_link) 2>conftest.er1
6007 >  ac_status=$?
6008 >  grep -v '^ *+' conftest.er1 >conftest.err
6009 >  rm -f conftest.er1
6010 >  cat conftest.err >&5
6011 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6012 >  (exit $ac_status); } &&
6013 >         { ac_try='test -z "$ac_c_werror_flag"
6014 >                         || test ! -s conftest.err'
6015 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6016 >  (eval $ac_try) 2>&5
6017 >  ac_status=$?
6018 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6019 >  (exit $ac_status); }; } &&
6020 >         { ac_try='test -s conftest$ac_exeext'
6021 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6022 >  (eval $ac_try) 2>&5
6023 >  ac_status=$?
6024 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6025 >  (exit $ac_status); }; }; then
6026 >  ac_cv_lib_mpich_MPI_Init=yes
6027 > else
6028 >  echo "$as_me: failed program was:" >&5
6029 > sed 's/^/| /' conftest.$ac_ext >&5
6030 >
6031 > ac_cv_lib_mpich_MPI_Init=no
6032 > fi
6033 > rm -f conftest.err conftest.$ac_objext \
6034 >      conftest$ac_exeext conftest.$ac_ext
6035 > LIBS=$ac_check_lib_save_LIBS
6036 > fi
6037 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
6038 > echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
6039 > if test $ac_cv_lib_mpich_MPI_Init = yes; then
6040 >  MPI_LIB="-lmpich"
6041 > fi
6042 >
6043 > fi
6044 > $as_unset ac_cv_lib_mpi_MPI_Init
6045 > if test x = x"$MPI_LIB"; then
6046 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
6047 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
6048 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
6049 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6050 > else
6051 >  ac_check_lib_save_LIBS=$LIBS
6052 > LIBS="-lmpi "-llam" $LIBS"
6053 > cat >conftest.$ac_ext <<_ACEOF
6054 > /* confdefs.h.  */
6055 > _ACEOF
6056 > cat confdefs.h >>conftest.$ac_ext
6057 > cat >>conftest.$ac_ext <<_ACEOF
6058 > /* end confdefs.h.  */
6059 >
6060 > /* Override any gcc2 internal prototype to avoid an error.  */
6061 > #ifdef __cplusplus
6062 > extern "C"
6063 > #endif
6064 > /* We use char because int might match the return type of a gcc2
6065 >   builtin and then its argument prototype would still apply.  */
6066 > char MPI_Init ();
6067 > int
6068 > main ()
6069 > {
6070 > MPI_Init ();
6071 >  ;
6072 >  return 0;
6073 > }
6074 > _ACEOF
6075 > rm -f conftest.$ac_objext conftest$ac_exeext
6076 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6077 >  (eval $ac_link) 2>conftest.er1
6078 >  ac_status=$?
6079 >  grep -v '^ *+' conftest.er1 >conftest.err
6080 >  rm -f conftest.er1
6081 >  cat conftest.err >&5
6082 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6083 >  (exit $ac_status); } &&
6084 >         { ac_try='test -z "$ac_c_werror_flag"
6085 >                         || test ! -s conftest.err'
6086 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6087 >  (eval $ac_try) 2>&5
6088 >  ac_status=$?
6089 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6090 >  (exit $ac_status); }; } &&
6091 >         { ac_try='test -s conftest$ac_exeext'
6092 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6093 >  (eval $ac_try) 2>&5
6094 >  ac_status=$?
6095 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6096 >  (exit $ac_status); }; }; then
6097 >  ac_cv_lib_mpi_MPI_Init=yes
6098 > else
6099 >  echo "$as_me: failed program was:" >&5
6100 > sed 's/^/| /' conftest.$ac_ext >&5
6101 >
6102 > ac_cv_lib_mpi_MPI_Init=no
6103 > fi
6104 > rm -f conftest.err conftest.$ac_objext \
6105 >      conftest$ac_exeext conftest.$ac_ext
6106 > LIBS=$ac_check_lib_save_LIBS
6107 > fi
6108 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
6109 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
6110 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
6111 >  MPI_LIB="-lmpi -llam"
6112 > fi
6113 >
6114 > fi
6115 >
6116 > $as_unset ac_cv_lib_mpi_MPI_Init
6117 > if test x = x"$MPI_LIB"; then
6118 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
6119 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
6120 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
6121 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6122 > else
6123 >  ac_check_lib_save_LIBS=$LIBS
6124 > LIBS="-lmpi -llam -lpthread $LIBS"
6125 > cat >conftest.$ac_ext <<_ACEOF
6126 > /* confdefs.h.  */
6127 > _ACEOF
6128 > cat confdefs.h >>conftest.$ac_ext
6129 > cat >>conftest.$ac_ext <<_ACEOF
6130 > /* end confdefs.h.  */
6131 >
6132 > /* Override any gcc2 internal prototype to avoid an error.  */
6133 > #ifdef __cplusplus
6134 > extern "C"
6135 > #endif
6136 > /* We use char because int might match the return type of a gcc2
6137 >   builtin and then its argument prototype would still apply.  */
6138 > char MPI_Init ();
6139 > int
6140 > main ()
6141 > {
6142 > MPI_Init ();
6143 >  ;
6144 >  return 0;
6145 > }
6146 > _ACEOF
6147 > rm -f conftest.$ac_objext conftest$ac_exeext
6148 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6149 >  (eval $ac_link) 2>conftest.er1
6150 >  ac_status=$?
6151 >  grep -v '^ *+' conftest.er1 >conftest.err
6152 >  rm -f conftest.er1
6153 >  cat conftest.err >&5
6154 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6155 >  (exit $ac_status); } &&
6156 >         { ac_try='test -z "$ac_c_werror_flag"
6157 >                         || test ! -s conftest.err'
6158 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6159 >  (eval $ac_try) 2>&5
6160 >  ac_status=$?
6161 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6162 >  (exit $ac_status); }; } &&
6163 >         { ac_try='test -s conftest$ac_exeext'
6164 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6165 >  (eval $ac_try) 2>&5
6166 >  ac_status=$?
6167 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6168 >  (exit $ac_status); }; }; then
6169 >  ac_cv_lib_mpi_MPI_Init=yes
6170 > else
6171 >  echo "$as_me: failed program was:" >&5
6172 > sed 's/^/| /' conftest.$ac_ext >&5
6173 >
6174 > ac_cv_lib_mpi_MPI_Init=no
6175 > fi
6176 > rm -f conftest.err conftest.$ac_objext \
6177 >      conftest$ac_exeext conftest.$ac_ext
6178 > LIBS=$ac_check_lib_save_LIBS
6179 > fi
6180 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
6181 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
6182 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
6183 >  MPI_LIB="-lmpi -llam -lpthread"
6184 > else
6185 >  { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
6186 > echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
6187 >   { (exit 1); exit 1; }; }
6188 > fi
6189 >
6190 > fi
6191 >
6192 > echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
6193   echo "${ECHO_T}found $MPI_LIB" >&6
6194 <  ;;
6195 < esac
6194 >
6195 >
6196 > echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
6197 > echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
6198 > MPI_F90LIB=""
6199 > if test -f "$MPI_LIBDIR/libfmpich.a" ; then
6200 >  MPI_F90LIB="-lfmpich"
6201 > elif test -f "$MPI_LIBDIR/liblamf77mpi.a" ; then
6202 >  MPI_F90LIB="-llamf77mpi"
6203 > else
6204 >  # nothing special found, we'll assume that the C library is all we need
6205 >  MPI_F90LIB="  "
6206 > fi
6207 > echo "$as_me:$LINENO: result: found $MPI_F90LIB" >&5
6208 > echo "${ECHO_T}found $MPI_F90LIB" >&6
6209  
6210  
6211  
6212 +
6213   ac_ext=c
6214   ac_cpp='$CPP $CPPFLAGS'
6215   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 6713 | Line 6989 | fi
6989  
6990    CPPFLAGS=$ac_save_CPPFLAGS
6991    LDFLAGS=$ac_save_LDFLAGS
6992 <  ac_ext=f90
6993 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6994 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6995 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6992 >  ac_ext=c
6993 > ac_cpp='$CPP $CPPFLAGS'
6994 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6995 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6996 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6997  
6998  
6999    if test x_$HAVE_SPRNG != x_yes; then
# Line 6737 | Line 7014 | echo "${ECHO_T}yes" >&6
7014    withval="$with_mkl"
7015       echo "$as_me:$LINENO: result: yes" >&5
7016   echo "${ECHO_T}yes" >&6
7017 <    for dir in $withval /usr/local/intel/mkl60 /opt/intel/mkl60; do
7017 >    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
7018          mkldir="$dir"
7019          if test -f "$dir/include/mkl.h"; then
7020              found_mkl="yes";
# Line 6981 | Line 7258 | fi
7258  
7259    CPPFLAGS=$ac_save_CPPFLAGS
7260    LDFLAGS=$ac_save_LDFLAGS
7261 <  ac_ext=f90
7262 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
7263 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7264 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
7261 >  ac_ext=c
7262 > ac_cpp='$CPP $CPPFLAGS'
7263 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7264 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7265 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
7266  
7267  
7268    if test x_$HAVE_MKL != x_yes; then
# Line 7031 | Line 7309 | SUBDIRS="libBASS libmdtools src forceFields samples ut
7309  
7310   MKINSTALLDIRS=`pwd`/ac-tools/"shtool mkdir -p -f"
7311  
7312 < SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps third-party"
7312 > SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps third-party shapes"
7313  
7314   CFLAGS=${CFLAGS-""}
7315   CXXFLAGS=${CXXFLAGS-""}
# Line 7068 | Line 7346 | esac
7346  
7347            ac_config_headers="$ac_config_headers libmdtools/config.h"
7348  
7349 <                                                                                                                                                                ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile third-party/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile"
7349 >                                                                                                                                                                          ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile third-party/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile shapes/Makefile"
7350  
7351  
7352   cat >confcache <<\_ACEOF
# Line 7612 | Line 7890 | do
7890    "samples/lipid/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/lipid/Makefile" ;;
7891    "samples/metals/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/metals/Makefile" ;;
7892    "samples/water/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/water/Makefile" ;;
7893 +  "shapes/Makefile" ) CONFIG_FILES="$CONFIG_FILES shapes/Makefile" ;;
7894    "libmdtools/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libmdtools/config.h" ;;
7895    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
7896   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 7746 | Line 8025 | s,@MPI_LIB@,$MPI_LIB,;t t
8025   s,@mpi@,$mpi,;t t
8026   s,@MPI_LIBDIR@,$MPI_LIBDIR,;t t
8027   s,@MPI_INC@,$MPI_INC,;t t
8028 + s,@MPI_F90INC@,$MPI_F90INC,;t t
8029   s,@MPI_LIB@,$MPI_LIB,;t t
8030 + s,@MPI_F90LIB@,$MPI_F90LIB,;t t
8031   s,@CPP@,$CPP,;t t
8032   s,@EGREP@,$EGREP,;t t
8033   s,@SPRNG_LIBDIR@,$SPRNG_LIBDIR,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines